<div class="container usersTable">
  <div class="row mb-3">
    <input type="text" placeholder="Search by username" (input)="onSearchChange()" [(ngModel)]="filter" class="form-control col-md-2">
    <div class="col-10"></div>
  </div>

  <div class="row">
    <table class="table table-hover">
      <thead class="bg-info text-light">
        <tr>
          <th>Firstname</th>
          <th>Lastname</th>
          <th>Username</th>
          <th>User role</th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let user of users" [routerLink]="['/user-details', user.id]">
          <ng-container *ngIf="user.role != 'ROLE_VISITOR'">
            <td>{{user.firstName}}</td>
            <td>{{user.lastName}}</td>
            <td>{{user.username}}</td>
            <td *ngIf="user.role == 'ROLE_SELLER'">SELLER</td>
            <td *ngIf="user.role == 'ROLE_ADMIN'">ADMIN</td>
          </ng-container>
        </tr>
      </tbody>
    </table>
  </div>

  <div class="row">
    <label class="col-2" for="itemsPerPage">
      <b>Items per page:</b>
    </label>
    <select class="col-2" [(ngModel)]="size" name="itemsPerPage" (change)="onSelectChange()" value=5>
      <option [ngValue]="3">3</option>
      <option [ngValue]="5">5</option>
      <option [ngValue]="10">10</option>
    </select>

  </div>
  <div class="row mt-5">
    <ngb-pagination class="d-flex justify-content-start" [collectionSize]="total" [pageSize]="size" [(page)]="page"
      [maxSize]=7 (pageChange)="onPageChange($event)"></ngb-pagination>
  </div>
</div>